3.2 Common Error Code Description
About 203 wordsLess than 1 minute
2025-11-03
Tips
- When Klook calls the partner's interface (check price, place order, order details, pre-cancel, cancel, etc.), if the below error codes are not met, the partner can customize the error code and error message. Klook will have an error code mapping for each process, and finally convert the error code into the corresponding status, such as "bookSoldOut", "checkPriceChanged", etc.
Return Error Format
{
"message": "", // Empty for successful response, error message otherwise
"success": false,
"error": {
"code": "9999",
"message": "xxxxxxx"
},
"result": { // May be a list, can be empty
........
}
}Error Example
{
"success": false,
"error": {
"code": "9999",
"message": "xxxxxxx"
}
}Common Error Codes
| Error Type | error.code | error.message - | message | Description |
|---|---|---|---|---|
| kong | API rate limit exceeded | Query limiting | ||
| kong | Unauthorized | Missing Authorization header | ||
| kong | Invalid authentication credentials | Incorrect Authorization header | ||
| kong | Your IP address is not allowed | IP address restriction | ||
| Common | 9999 | xxxxxxx | System default error | |
| Common | 1001 | Operation failed | Operation error | |
| Common | 1002 | Authorization error | Authentication error | |
| Common | 1003 | supplierCode error or openApiKey error | ||
| Common | 1004 | request parameter error | Request parameter error | |
| ... | ... | ... | To be supplemented |
